import * as echarts from "echarts";
import React, { CSSProperties } from "react";
import type { EChartsOption } from "echarts";
export type { EChartsOption, ECharts } from "echarts";
/** When the theme or initOption changes (shallow comparison), reinitialize Echarts */
export declare function useEchartsRef(domRef: React.RefObject<HTMLElement | null>, config?: UseEchartsOption): React.MutableRefObject<any>;
export declare const Echarts: React.MemoExoticComponent<React.ForwardRefExoticComponent<UseEchartsOption & {
    style?: React.CSSProperties | undefined;
} & React.RefAttributes<ECharts>>>;
export type EChartsInitOpts = NonNullable<Parameters<typeof echarts.init>[2]>;
export interface UseEchartsOption {
    theme?: string | object;
    init?: EChartsInitOpts;
    option?: EChartsOption;
    /** 在设置完 option 后是否不立即更新图表，默认为 false，即同步立即更新。如果为 true，则会在下一个 animation frame 中，才更新图表。 */
    lazyUpdate?: boolean;
    loading?: boolean;
    /** 固定渲染大小;  默认会自动监听 window resize 事件, 自动调用 Echarts.resize(); 设置为true将不会监听 */
    fixedSize?: boolean;
}
export type EchartsProps = UseEchartsOption & {
    style?: CSSProperties;
};
